Debian Bug report logs - #536285
mirage: can trick a user to delete wrong files

version graph

Package: mirage; Maintainer for mirage is Debian QA Group <packages@qa.debian.org>; Source for mirage is src:mirage.

Reported by: Jakub Wilk <ubanus@users.sf.net>

Date: Wed, 8 Jul 2009 20:06:02 UTC

Severity: grave

Tags: patch

Found in version mirage/0.9.3-4

Fixed in version mirage/0.9.3-5

Done: Xavier Oswald <xoswald@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://developer.berlios.de/bugs/?func=detailbug&bug_id=16085&group_id=6637

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ubanus@users.sf.net, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Wed, 08 Jul 2009 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
New Bug report received and forwarded. Copy sent to ubanus@users.sf.net, Xavier Oswald <xoswald@debian.org>. (Wed, 08 Jul 2009 20:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mirage: half-selected images
Date: Wed, 8 Jul 2009 21:57:18 +0200
Package: mirage
Version: 0.9.3-4
Severity: grave

mirage could trick a user to delete other files than he meant to.

To reproduce this bug:

- Open a folder with a least 2 images, say; A and B.
Initially A is selected.

- Click on thumbnail B.

- Click on thumbnail A. Now thumbnail A is highlighted, image A is show.  
(However window title still show the name of B.)

- Press Delete, confirm. Surprise, B is gone.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mirage depends on:
ii  libc6                         2.9-19     GNU C Library: Shared libraries
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-gtk2                   2.14.1-3   Python bindings for the GTK+ widge
ii  python-support                1.0.3      automated rebuilding support for P
ii  python2.5                     2.5.4-1    An interactive high-level object-o

mirage recommends no packages.

mirage suggests no packages.

-- debconf-show failed

-- 
Jakub Wilk




Set Bug forwarded-to-address to 'http://developer.berlios.de/bugs/?func=detailbug&bug_id=16085&group_id=6637'. Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Sat, 01 Aug 2009 18:06:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'mirage: can trick a user to delete wrong files' from 'mirage: half-selected images' Request was from Jakub Wilk <ubanus@users.sf.net> to control@bugs.debian.org. (Sat, 22 Aug 2009 15:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, evgeni@debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Sat, 23 Jan 2010 13:08:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to evgeni@debian.org, Xavier Oswald <xoswald@debian.org>. (Sat, 23 Jan 2010 13:08:03 GMT) Full text and rfc822 format available.

Message #14 received at 536285@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Debian Bug Tracking System <536285@bugs.debian.org>
Subject: Re: half-selected images
Date: Sat, 23 Jan 2010 14:04:41 +0100
[Message part 1 (text/plain, inline)]
This seems to happen when mirage loads a cached image and does not update
self.currimg_name.
The attached patched updates this and thus fixes the bug.
However I do not think this is the best way to fix this. ;)

Regards
Evgeni


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mirage depends on:
ii  libc6                         2.10.2-5   Embedded GNU C Library: Shared lib
ii  libx11-6                      2:1.3.3-1  X11 client-side library
ii  python                        2.5.4-6    An interactive high-level object-o
ii  python-gtk2                   2.16.0-1   Python bindings for the GTK+ widge
ii  python-support                1.0.6      automated rebuilding support for P

mirage recommends no packages.

mirage suggests no packages.
[mirage_536285.patch (text/plain, attachment)]

Added tag(s) patch. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 13:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Sat, 23 Jan 2010 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Sat, 23 Jan 2010 14:21:05 GMT) Full text and rfc822 format available.

Message #21 received at 536285@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Evgeni Golov <evgeni@debian.org>, 536285@bugs.debian.org
Subject: Re: Bug#536285: half-selected images
Date: Sat, 23 Jan 2010 15:15:21 +0100
[Message part 1 (text/plain, inline)]
* Evgeni Golov <evgeni@debian.org>, 2010-01-23, 14:04:
>This seems to happen when mirage loads a cached image and does not update
>self.currimg_name.
>The attached patched updates this and thus fixes the bug.
>However I do not think this is the best way to fix this. ;)

I tried to debug this issue some time ago, and I came into conclusion 
that this whole cache system is broken beyond all repair. I can't 
remember details, but all “obvious” solutions I tried triggered other, 
more or less subtle, bugs.

I don't claim that your patch doesn't work, but I urge you to test it 
thoroughly before uploading.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Sat, 23 Jan 2010 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Sat, 23 Jan 2010 15:06:03 GMT) Full text and rfc822 format available.

Message #26 received at 536285@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Jakub Wilk <ubanus@users.sf.net>
Cc: 536285@bugs.debian.org
Subject: Re: Bug#536285: half-selected images
Date: Sat, 23 Jan 2010 15:54:27 +0100
Hi Jakub,

On Sat, Jan 23, 2010 at 03:15:21PM +0100, Jakub Wilk wrote:
> * Evgeni Golov <evgeni@debian.org>, 2010-01-23, 14:04:
> >This seems to happen when mirage loads a cached image and does not update
> >self.currimg_name.
> >The attached patched updates this and thus fixes the bug.
> >However I do not think this is the best way to fix this. ;)
> 
> I tried to debug this issue some time ago, and I came into
> conclusion that this whole cache system is broken beyond all repair.
> I can't remember details, but all “obvious” solutions I tried
> triggered other, more or less subtle, bugs.
> 
> I don't claim that your patch doesn't work, but I urge you to test
> it thoroughly before uploading.

Well, until now I only tested that the patch fixes the issue you 
described in the bug and mirage still works for displaying random images 
:)

Could you forward this to upstream? I do not have a berlios account.
Let's see what he thinks. I'll test in the meantime, that everything 
works.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Sat, 23 Jan 2010 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Sat, 23 Jan 2010 16:30:03 GMT) Full text and rfc822 format available.

Message #31 received at 536285@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Evgeni Golov <evgeni@debian.org>
Cc: 536285@bugs.debian.org
Subject: Re: Bug#536285: half-selected images
Date: Sat, 23 Jan 2010 17:26:53 +0100
[Message part 1 (text/plain, inline)]
* Evgeni Golov <evgeni@debian.org>, 2010-01-23, 15:54:
>>>This seems to happen when mirage loads a cached image and does not update
>>>self.currimg_name.
>>>The attached patched updates this and thus fixes the bug.
>>>However I do not think this is the best way to fix this. ;)
>>
>> I tried to debug this issue some time ago, and I came into
>> conclusion that this whole cache system is broken beyond all repair.
>> I can't remember details, but all “obvious” solutions I tried
>> triggered other, more or less subtle, bugs.
>>
>> I don't claim that your patch doesn't work, but I urge you to test
>> it thoroughly before uploading.
>
>Well, until now I only tested that the patch fixes the issue you
>described in the bug and mirage still works for displaying random images
>:)

I played around with patched mirage, and it indeed works fine. I didn't 
notice anything unusual. :)

>Could you forward this to upstream? I do not have a berlios account.
>Let's see what he thinks. I'll test in the meantime, that everything
>works.

Done. However, upstream looks a bit dead, so I wouldn't expect any 
feedback.

BTW, There's another upstream report about the very same bug:
http://developer.berlios.de/bugs/?func=detailbug&bug_id=16676&group_id=6637

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Sun, 31 Jan 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Xavier Oswald <xoswald@gmail.com>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Sun, 31 Jan 2010 19:33:03 GMT) Full text and rfc822 format available.

Message #36 received at 536285@bugs.debian.org (full text, mbox):

From: Xavier Oswald <xoswald@gmail.com>
To: Jakub Wilk <ubanus@users.sf.net>, 536285@bugs.debian.org
Cc: Evgeni Golov <evgeni@debian.org>
Subject: Re: Bug#536285: half-selected images
Date: Sun, 31 Jan 2010 20:21:36 +0100
[Message part 1 (text/plain, inline)]
Hi,

It will be fixed soon.

Im about to upload a new version fixing 5-6 opened bugs.
It should be done middle of the next week.

Thanks all for investing this issue. I will apply evgeni's patch and contact
upstream.

Greetings,
-- 
 ,''`. Xavier Oswald (xoswald@debian.org)
: :' : GNU/LINUX Debian Developer <http://www.debian.org> 
`. `'  GPG Key: 1024D/88BBB51E
  `-   938D D715 6915 8860 9679  4A0C A430 C6AA 88BB B51E
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Sun, 31 Jan 2010 20:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Sun, 31 Jan 2010 20:51:11 GMT) Full text and rfc822 format available.

Message #41 received at 536285@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Xavier Oswald <xoswald@gmail.com>
Cc: Jakub Wilk <ubanus@users.sf.net>, 536285@bugs.debian.org
Subject: Re: Bug#536285: half-selected images
Date: Sun, 31 Jan 2010 21:47:20 +0100
Hey,

On Sun, Jan 31, 2010 at 08:21:36PM +0100, Xavier Oswald wrote:
> Im about to upload a new version fixing 5-6 opened bugs.
> It should be done middle of the next week.

You said that last week on the other patch I submitted ;)
*poke*

> Thanks all for investing this issue. I will apply evgeni's patch and contact
> upstream.

:)
Hope upstream likes my patch

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Xavier Oswald <xoswald@debian.org>:
Bug#536285; Package mirage. (Tue, 09 Feb 2010 09:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Xavier Oswald <xoswald@debian.org>. (Tue, 09 Feb 2010 09:27:02 GMT) Full text and rfc822 format available.

Message #46 received at 536285@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 536285@bugs.debian.org
Subject: mirage: diff for NMU version 0.9.3-4.1
Date: Tue, 9 Feb 2010 10:24:37 +0100
[Message part 1 (text/plain, inline)]
tags 536285 + pending
thanks

Dear maintainer,

I've prepared an NMU for mirage (versioned as 0.9.3-4.1) and uploaded it
to DELAYED/2, according to devref §5.11.1. The patch is Evgeni's and
works fine for me.

I understand you've been preparing an upload of mirage for quite a
while, but this bug is now months old and quite dangerous for users. If
you have good reasons to postpone this specific fix any further, let me
know. If not, I suggest to let the NMU flow in, and later on proceed
with your upload fixing the other issues.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[mirage-0.9.3-4.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Tue, 09 Feb 2010 09:27:04 GMT) Full text and rfc822 format available.

Reply sent to Xavier Oswald <xoswald@debian.org>:
You have taken responsibility. (Wed, 10 Feb 2010 00:03:08 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <ubanus@users.sf.net>:
Bug acknowledged by developer. (Wed, 10 Feb 2010 00:03:08 GMT) Full text and rfc822 format available.

Message #53 received at 536285-close@bugs.debian.org (full text, mbox):

From: Xavier Oswald <xoswald@debian.org>
To: 536285-close@bugs.debian.org
Subject: Bug#536285: fixed in mirage 0.9.3-5
Date: Wed, 10 Feb 2010 00:02:26 +0000
Source: mirage
Source-Version: 0.9.3-5

We believe that the bug you reported is fixed in the latest version of
mirage, which is due to be installed in the Debian FTP archive:

mirage_0.9.3-5.debian.tar.gz
  to main/m/mirage/mirage_0.9.3-5.debian.tar.gz
mirage_0.9.3-5.dsc
  to main/m/mirage/mirage_0.9.3-5.dsc
mirage_0.9.3-5_amd64.deb
  to main/m/mirage/mirage_0.9.3-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536285@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Xavier Oswald <xoswald@debian.org> (supplier of updated mirage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Feb 2010 00:29:30 +0100
Source: mirage
Binary: mirage
Architecture: source amd64
Version: 0.9.3-5
Distribution: unstable
Urgency: low
Maintainer: Xavier Oswald <xoswald@debian.org>
Changed-By: Xavier Oswald <xoswald@debian.org>
Description: 
 mirage     - fast and simple GTK+ image viewer
Closes: 535816 535817 535822 536285 550023 566038
Changes: 
 mirage (0.9.3-5) unstable; urgency=low
 .
   * Fix dh_pysupport call, so only python-support controlled files are
     installed (Closes: #566038)
   * Fix half-selected images (Closes: #536285). Thanks to Evgeni Golov patch
   * Provide a mirage menu item (Closes: #550023)
   * Add XDG base directory specification support (Closes: #535816).
     Thanks to Jakub Wilk <ubanus@users.sf.net> patch
   * Add suggest gimp, imagemagick, menu (Closes: #535822)
   * By default, Ctrl+E is bound to the gimp-remote-2.4 command, which is no
     longer available in sid (Closes: #535817)
     Thanks to Jakub Wilk <ubanus@users.sf.net> patch
   * Switch to dpkg-source 3.0 (quilt) format
   * Bump Standards-Version to 3.8.4
Checksums-Sha1: 
 f393b2a9a9903d2eb994d78446ed0a9e95cd3a4f 1109 mirage_0.9.3-5.dsc
 16b5dea01079bae74c7caca8b42d92a7547aa559 5430 mirage_0.9.3-5.debian.tar.gz
 3ad77576538b8f8544af6683a5484f70ce3fc9f1 106254 mirage_0.9.3-5_amd64.deb
Checksums-Sha256: 
 789d2e78b686931dd4045a2b2d20c511d33da4b735c7f5370155545dc9a9ce77 1109 mirage_0.9.3-5.dsc
 935d752928fe6fe81388e670816b7dbb3476393c31bec1314d1780e695abed5d 5430 mirage_0.9.3-5.debian.tar.gz
 4da8901f8f6601be76a0134f12e9237c9075f8ef96953a9c4b010b5e229e8944 106254 mirage_0.9.3-5_amd64.deb
Files: 
 debefce617ec119416a68abd42110385 1109 graphics extra mirage_0.9.3-5.dsc
 4d9b9bec0cd09e82e67f1573687685bf 5430 graphics extra mirage_0.9.3-5.debian.tar.gz
 18e367ce705287b013e4b9f6cfa4937a 106254 graphics extra mirage_0.9.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktx8TMACgkQpDDGqoi7tR7htgCgl+TufDYdoK9xf/pABWLyH7hy
a5gAnjnhxcUmbAn/okushPJi2BnfkEiY
=VZsw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Mar 2010 07:39:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:49:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.